#include "libc.h"
#include "sim_types.h"
#include "sim_misc.h"
#include "sim_args.h"
#include "sim_seq.h"
#include "sim_dna.h"
#include "sim_prot.h"
#include "sim_discrim.h"

static const char rcsid[] =
"$Id: discrim.c,v 1.3 1998/06/06 09:25:49 schwartz Exp schwartz $";

bool is_DNA(uchar *s, int len)
{
	int ACGT, i;

	for (ACGT = i = 0; i < len; ++i)
		if (strchr("ACGTNX", s[i]))
			++ACGT;
	if (10*ACGT < 9*len) {	/* ACGT < 90% of len */
		for (i = 0; i < len; ++i)
		    if (!is_pchar(s[i]))
			(void)fprintf(stderr,
			      "Illegal character '%c' in sequence file.\n", s[i]);
		return 0;
	}
	for (i = 0; i < len; ++i)
		if (!is_dchar(s[i])) {
			(void)fprintf(stderr,
			      "Illegal character '%c' in sequence file.\n", s[i]);
			exit(1);
		}
	return 1;
}

