#ifndef SIM_SEQ_H
#define SIM_SEQ_H
/* $Id: sim_seq.h,v 1.4 1998/06/06 22:35:32 schwartz Exp $ */

typedef struct seq_data {
	uchar *seq;
	int slen; /* bytes in seq, not including '\0' */
	int origin;
} seq_data_t;

typedef struct seq_file {
	FILE *fp;
	int flags;
	int count;

	char *fname;
	int from; /* 1 based */

	char *header;
	int hlen; /* bytes in header, not including '\0' */

	uchar *seq;
	int slen; /* bytes in seq, not including '\0' */
} SEQ;

#define SEQ_NAME(s) ((s)->fname)
#define SEQ_LEN(s) ((s)->slen)
#define SEQ_TO(s)  ((s)->slen + (s)->from - 1)
#define SEQ_FROM(s) ((s)->from)
#define SEQ_AT(s,i) ((s)->seq[i])
/* #define SEQ_LEN(s) ((s)->to - (s)->from + 1) */

#define SEQ_HEAD(s) ((s)->header)
#define SEQ_HLEN(s) ((s)->hlen)

#define SEQ_CHARS(s) ((s)->seq)
#define SEQ_SAME(a,b) ((a)==(b))

#define SIM_FLAG_SUBRANGE 0x1

SEQ* seq_open(const char *fname, const char *mode, int flags);
void seq_close(SEQ *s);
int seq_read(SEQ *seq);

#endif 
